// MFC.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include <afxdllx.h>
#include "MFC.h"
#include "MFCaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static AFX_EXTENSION_MODULE MFCDLL = { NULL, NULL };

extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("MFC.AWX Initializing!\n");
		
		// Extension DLL one-time initialization
		AfxInitExtensionModule(MFCDLL, hInstance);

		// Insert this DLL into the resource chain
		new CDynLinkLibrary(MFCDLL);

		// Register this custom AppWizard with MFCAPWZ.DLL
		SetCustomAppWizClass(&MFCaw);
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("MFC.AWX Terminating!\n");
	}
	return 1;   // ok
}
