// draw_man.cpp
// MFC 4.0 esimerkki piirtmisest ja vrien kytst/vl-96
#include <afxwin.h>

class CMainWindow : public CFrameWnd {
public:
  CMainWindow() { Create(NULL,"Draw Color Man"); }
  void OnPaint();
  DECLARE_MESSAGE_MAP()
};

BEGIN_MESSAGE_MAP( CMainWindow, CFrameWnd )
	ON_WM_PAINT()
END_MESSAGE_MAP()


class CDrawManApp : public CWinApp {
public:
  virtual BOOL InitInstance() {
    m_pMainWnd = new CMainWindow();
	  m_pMainWnd->ShowWindow(m_nCmdShow);
	  m_pMainWnd->UpdateWindow();
	  return TRUE;
  }
};


void CMainWindow::OnPaint() 
{
  CPaintDC dc(this);         // Luodaan laiteyhteys piirtmist varten
  CBrush brRed(RGB(255,0,0));
  void *oldbrush = dc.SelectObject(brRed);

  dc.Ellipse(40,40,80,80);   // P punaisella sisustalla, musta raami
  dc.SelectObject(oldbrush);

  CPen penBlue(PS_SOLID,1,RGB(0,0,255));
  void *oldpen = dc.SelectObject(penBlue);  // Vanha kyn talteen (musta)
  dc.MoveTo( 60, 80);
  dc.LineTo( 60,180);        // Keskivartalo sinisell

  CPen penGreen(PS_SOLID,1,RGB(0,255,0));  dc.SelectObject(penGreen);

  dc.LineTo( 20,260);        // Vasen jalka vihrell
  dc.SelectObject(oldpen);
  dc.MoveTo( 60,180);
  dc.LineTo(100,260);        // Oikea jalka jlleen mustalla 
  dc.MoveTo( 20,170);
  dc.LineTo( 60, 90);        // Vasen ksi   
  dc.LineTo(120, 40);        // Oikea ksi   
}


CDrawManApp DrawManApp;  // constructor initializes and runs the app
