/****************/
/* laskuri.cpp  */
/****************/
// Esimerkki Autolaskurista. Projektiin laskuri.cpp ja laskuri.rc

#include <afxwin.h>
#include "laskuri.rh"

//------------------------------------------------------------------------------
class TLaskuriDialog : public CDialog {
public:
  TLaskuriDialog(LPCSTR name,CWnd *parent=NULL) : CDialog(name,parent) {}
  void BNHAClicked()         { SetDlgItemInt(HAL,GetDlgItemInt(HAL)+1);        }
  void BNKAClicked()         { SetDlgItemInt(KAL,GetDlgItemInt(KAL)+1);        }
  void BNNollaaClicked()     { SetDlgItemInt(HAL,0); SetDlgItemInt(KAL,0);     }
  void BNExitClicked()       { EndDialog(0);                                   }
  DECLARE_MESSAGE_MAP()
};

BEGIN_MESSAGE_MAP(TLaskuriDialog, CDialog)
  ON_COMMAND(HA, BNHAClicked)
  ON_COMMAND(KA, BNKAClicked)
  ON_COMMAND(NOLLAA,BNNollaaClicked)
  ON_COMMAND(EXIT,BNExitClicked)
END_MESSAGE_MAP()


class TLaskuriApp : public CWinApp {
public:
  virtual BOOL InitInstance() {
    TLaskuriDialog dlg("LASKURI"); // Tyylin WS_OVERLAPPED
    m_pMainWnd = &dlg; 
    dlg.DoModal();
	  return FALSE;  // Lopetetaan samalla koko ohjelma
  }
};

TLaskuriApp LaskuriApp;  //  constructor initializes and runs the app
